import { Payload, PayloadBody } from 'ec-base';

export class WexinFinishOrderPayload extends Payload {
    getTopic(): string {
        return 'wexin-finish-order'
    }
    getVersion(): number {
        return 1.0
    }
    body: WexinFinishOrderPayloadBody;
}

export class WexinFinishOrderPayloadBody implements PayloadBody {
    name?: string
    age?: number
    sex?: number
    birthday?: Date
    enable?: boolean
}